import request from '@/utils/request'

// 查询充值记录列表
export function listApi(query) {
  return request({
    url: '/rechargeRecord/list',
    method: 'get',
    params: query
  })
}

// 查询充值记录详细
export function getApi(id) {
  return request({
    url: '/rechargeRecord/' + id,
    method: 'get'
  })
}

// 新增充值记录
export function addApi(data) {
  return request({
    url: '/rechargeRecord',
    method: 'post',
    data: data
  })
}

// 修改充值记录
export function updateApi(data) {
  return request({
    url: '/rechargeRecord',
    method: 'put',
    data: data
  })
}

// 删除充值记录
export function delApi(id) {
  return request({
    url: '/rechargeRecord/' + id,
    method: 'delete'
  })
}
